# $Revision: 1.70 $, $Date: 2007/06/14 18:31:01 $
# TODO:
# - separate language packages
# - manual supbackage (languaged?)
%define		_csver		2.0.4.0-1
%define		_dever		2.0.4.0-1
%define		_enver		2.0.4.0-1
%define		_huver		2.0.4.0-1
Summary:	A professional CAD system
Summary(pl.UTF-8):	Profesjonalny program CAD
Summary(pt_BR.UTF-8):	Um sistema de CAD 2D livre (Open Source)
Name:		qcad
Version:	2.0.5.0
Release:	2
License:	GPL v2
Group:		X11/Applications/Graphics
#Source0Download: http://www.ribbonsoft.com/qcad_downloads.html
Source0:	http://www.ribbonsoft.com/archives/qcad/%{name}-%{version}-1-community.src.tar.gz
# Source0-md5:	96b6a56027782aec953c9c4e64c5998c
Source1:	%{name}.desktop
Source2:	%{name}.png
Source3:	http://www.ribbonsoft.com/archives/qcad/%{name}-manual-cs-%{_csver}.html.zip
# Source3-md5:	45b444d58761b7a4074ca231f46d04fa
Source4:	http://www.ribbonsoft.com/archives/qcad/%{name}-manual-de-%{_dever}.html.zip
# Source4-md5:	71aba8cfd5dc521bd96454c46dafcb2c
Source5:	http://www.ribbonsoft.com/archives/qcad/%{name}-manual-en-%{_enver}.html.zip
# Source5-md5:	20d8fddbe0da978f996bdfaf9ae6bec1
Source6:	http://www.ribbonsoft.com/archives/qcad/%{name}-manual-hu-%{_huver}.html.zip
# Source6-md5:	56c94d907761d4affa00c029f52fe96d
Patch0:		%{name}-gcc4.patch
URL:		http://www.ribbonsoft.com/qcad.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	qmake
BuildRequires:	qt-devel >= 3:3.0.5
BuildRequires:	qt-linguist
BuildRequires:	sed >= 4.0
BuildRequires:	unzip
BuildRequires:	xorg-lib-libXext-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
QCad is a professional CAD System. With QCad you can easily construct
and change drawings with ISO-text and many other features and save
them as DXF-files. These DXF-files are the interface to many
CAD-systems such as AutoCAD(c) and many others.

%description -l pl.UTF-8
QCad jest profesjonalnym programem CAD. QCadem można prosto
konstruować i zmieniać rysunki i zapisywać je w formacie DXF, który
jest akceptowany przez wiele programów CAD w tym program AutoCAD(c).

%description -l pt_BR.UTF-8
O QCad é um sistema profissional de CAD. Com ele você pode facilmente
construir e mudar desenhos com textos ISO e muitas outras
características e salvá-los como arquivos DXF. Estes arquivos DXF são
a interface para muitos outros sistemas de CAD, como o AutoCAD(c).

%prep
%setup -q -n %{name}-%{version}-1-community.src -a3 -a4 -a5 -a6
%patch0 -p1

sed -i -e 's/-pedantic//' mkspecs/defs.pro

%build
QTDIR=%{_prefix}; export QTDIR
QMAKESPEC=%{_datadir}/qt/mkspecs/linux-g++; export QMAKESPEC
CXXFLAGS="%{rpmcflags} -fno-exceptions"
for i in fparser dxflib; do
	cd $i
	cp -f /usr/share/automake/config.* .
	%{__autoconf}
	%configure
	%{__make}
	cd ..
done
cd qcadcmd
%{__make} prepare
cd ..
for i in qcadlib qcadcmd qcadactions qcadguiqt qcad; do
	cd $i/src
	echo 'CONFIG += thread' >> `echo *.pro`
	qmake *.pro \
		QMAKE_CXXFLAGS_RELEASE="$CXXFLAGS"
	cd ..
	%{__make}
	cd ..
done;

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/qcad} \
	$RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

cwd=`pwd`
for dir in qcadcmd qcadactions qcadguiqt qcad; do
	cd $dir/src
	lrelease *.pro
	cd ts
	for tf in *.qm; do
		ln -sf $cwd/$dir/src/ts/$tf $cwd/qcad/qm/$tf
	done
	cd ../../..
done

cp -LR scripts $RPM_BUILD_ROOT%{_datadir}/qcad
cd qcad
install qcad $RPM_BUILD_ROOT%{_bindir}
cp -LR {fonts,patterns,qm} $RPM_BUILD_ROOT%{_datadir}/qcad

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc qcad-manual-en-%{_enver}.html
%lang(cs) %doc qcad-manual-cs-%{_csver}.html
%lang(de) %doc qcad-manual-de-%{_dever}.html
%lang(hu) %doc qcad-manual-hu-%{_huver}.html
%attr(755,root,root) %{_bindir}/qcad
%dir %{_datadir}/qcad
%{_datadir}/qcad/fonts
%{_datadir}/qcad/patterns
%{_datadir}/qcad/scripts
%dir %{_datadir}/qcad/qm
%lang(cs) %{_datadir}/qcad/qm/*_cs.qm
%lang(da) %{_datadir}/qcad/qm/*_da.qm
%lang(de) %{_datadir}/qcad/qm/*_de.qm
%lang(el) %{_datadir}/qcad/qm/*_el.qm
%{_datadir}/qcad/qm/*_en.qm
%lang(es) %{_datadir}/qcad/qm/*_es.qm
%lang(et) %{_datadir}/qcad/qm/*_et.qm
%lang(fr) %{_datadir}/qcad/qm/*_fr.qm
%lang(hu) %{_datadir}/qcad/qm/*_hu.qm
%lang(it) %{_datadir}/qcad/qm/*_it.qm
%lang(nl) %{_datadir}/qcad/qm/*_nl.qm
%lang(nb) %{_datadir}/qcad/qm/*_no.qm
%lang(pa) %{_datadir}/qcad/qm/*_pa.qm
%lang(pl) %{_datadir}/qcad/qm/*_pl.qm
%lang(ru) %{_datadir}/qcad/qm/*_ru.qm
%lang(sk) %{_datadir}/qcad/qm/*_sk.qm
%lang(tr) %{_datadir}/qcad/qm/*_tr.qm
%{_desktopdir}/qcad.desktop
%{_pixmapsdir}/qcad.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: qcad.spec,v $
Revision 1.70  2007/06/14 18:31:01  arekm
- rel 2

Revision 1.69  2007/04/10 23:29:46  shadzik
- qt-devel epoch 3

Revision 1.68  2007/02/20 23:53:55  qboosh
- kill -pedantic (fixes build with gcc 4.1.x)

Revision 1.67  2007/02/13 08:06:43  glen
- tabs in preamble

Revision 1.66  2007/02/12 01:06:29  baggins
- converted to UTF-8

Revision 1.65  2006/10/25 09:53:21  czarny
- up to 2.0.5.0
- doc's up to 2.0.4.0 (all)
- added cs doc
- source address fix
- no more examples in qcad (not supplied by the manufacturer)
- pa language files
- manual language versions macross
- todo added

Revision 1.64  2006/04/17 11:47:43  pluto
- release 3.

Revision 1.63  2006/04/17 11:45:29  pluto
- gcc4 fix.

Revision 1.62  2006/04/09 08:20:41  cieciwa
- prepare for TH.

Revision 1.61  2006/02/28 23:37:25  glen
- adapterized (killed trailing spaces/tabs)

Revision 1.60  2006/01/21 00:01:17  arekm
- kill Icon: field (support for these is obsolete says jbj)

Revision 1.59  2005/06/17 21:34:51  qboosh
- pl fix

Revision 1.58  2005/03/25 16:15:09  qboosh
- noted download URL

Revision 1.57  2004/11/08 17:52:13  pluto
- don't disable runtime type identification !!!
  qcad won't work without it with kde styles.
- release 2.

Revision 1.56  2004/09/17 10:26:42  paszczus
- release 1

Revision 1.55  2004/09/15 20:14:28  paszczus
- fix scripts i hope ; test build #2

Revision 1.54  2004/09/15 19:40:12  paszczus
- added scripts directory ; test build

Revision 1.53  2004/09/15 16:05:37  paszczus
- updated to 2.0.4.0
- release 0.1 for tests...

Revision 1.52  2004/08/30 15:47:52  qboosh
- updated de manual to 2.0.3.3-1

Revision 1.51  2004/08/28 17:53:42  gotar
- upgrade to 2.0.3.3 from Zbyniu Krzystolik zbyniu at geocarbon pl

Revision 1.50  2004/04/10 20:24:45  qboosh
- link with qt-mt even if qt-st-devel is installed; release 3

Revision 1.49  2004/03/30 21:17:03  qboosh
- release 2

Revision 1.48  2004/03/30 20:12:46  qboosh
- refresh config.* for amd64

Revision 1.47  2004/03/30 20:04:16  qboosh
- fixed CXXFLAGS passing (previous way broke build overriding needed defs)
- updated files list

Revision 1.46  2004/03/29 08:14:09  cieciwa
- updated to version 2.0.3.1,
- updated MD5 sum,
- patches OK.

Revision 1.45  2004/02/22 21:36:30  gotar
- upgraded to 2.0.2.1

Revision 1.44  2004/01/27 12:02:06  qboosh
- updated lang() for bokmaal (s/no/nb/)

Revision 1.43  2003/12/06 18:18:59  qboosh
- added cs translations

Revision 1.42  2003/12/05 02:05:18  undefine
- update to 2.0.1.3-1

Revision 1.41  2003/11/30 19:12:59  freetz
- 2.0.1.2
- %%lang updated (el, it)

Revision 1.40  2003/11/11 11:24:10  qboosh
- BR: autoconf

Revision 1.39  2003/10/26 10:53:18  gotar
- upgraded to 2.0.1.1-1

Revision 1.38  2003/10/05 14:43:57  qboosh
- use %%lang for qm files

Revision 1.37  2003/09/30 09:47:39  jareq
- upgrade to 2.0.0.5

Revision 1.36  2003/09/30 07:57:43  jareq
- URL fixed

Revision 1.35  2003/09/27 23:17:03  gotar
- upgraded to 2.0.0.1-1

Revision 1.34  2003/09/26 14:12:30  adgor
- Desktop file moved to %%{_desktopdir}

Revision 1.33  2003/08/28 08:20:34  ankry
- cosmetics

Revision 1.32  2003/06/18 13:33:54  ankry
- md5

Revision 1.31  2003/05/25 06:26:04  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.30  2003/05/01 14:50:13  djurban
- build against qt-mt

Revision 1.29  2003/03/10 14:37:09  qboosh
- working Source URL

Revision 1.28  2003/02/07 22:54:59  adgor
- 1.5.4

Revision 1.27  2003/01/18 22:56:17  juandon
- removed two lines with define

Revision 1.26  2002/12/13 22:46:56  ankry
- adapterized

Revision 1.25  2002/09/14 09:57:22  qboosh
- CXXFLAGS are back; if it breaks build with gcc 2.95.x, check which option
  causes problem and disable _only_ this one _conditionally_

Revision 1.24  2002/09/09 22:11:06  adgor
- "CVS" entries removed from package
- Release 2

Revision 1.23  2002/09/08 16:44:33  blues
- 1.5.1 - removed outdated patches (included), fixed Makefile patch.
- commented out CXXFLAGS - causes build to loop.
STBR

Revision 1.22  2002/08/31 12:05:58  aflinta
- added lib.patch (prevents from linking plugins)
- release 4

Revision 1.21  2002/08/29 21:45:27  kloczek
- release 3.

Revision 1.20  2002/08/29 20:35:44  blues
- require proper qt-devel

Revision 1.19  2002/07/27 16:33:37  blues
- release 2
- port for KDE3 - patch from MDK
- fixed patches

Revision 1.18  2002/07/14 14:56:04  blues
- 1.4.16 (eg. latin2 font is added)
- new Source URL (sf is crazy...)
STBR

Revision 1.17  2002/05/21 00:18:09  kloczek
- updated to 1.4.12,
- merge translations from Conectiva,
- use new %doc packing infrastructure.

Revision 1.16  2002/02/25 01:53:15  kloczek
- release 3.

Revision 1.15  2002/02/22 23:29:39  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/01/18 02:14:45  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/05/02 16:29:12  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.12  2001/04/18 23:17:05  zagrodzki
- patch0 _is_ neccessary
- s/CXXFLAGS/CFLAGS

Revision 1.11  2001/04/09 08:16:02  cieciwa
- commented Patch0-  not needed ??
- added Makefile patch.

Revision 1.10  2001/04/09 07:21:55  cieciwa
- updated to version 1.4.7.

Revision 1.9  2001/03/08 05:58:40  kloczek
- added package icons and desktop file for qcad,
- few minor changes.

Revision 1.8  2001/03/07 17:02:16  kloczek
- few cosmetics and added pl %description.

Revision 1.7  2001/03/07 16:35:04  wiget
version 1.4.6; build requires fixed tmake; add pl.po.patch (fix polish translation); kloczek, make -cosmetics- and send to builders

Revision 1.6  2000/09/15 16:05:59  jajcus
- Version: 1.4.4
- adapterized
- fixes for FHS compatibility
- various other fixes

Revision 1.5  2000/06/09 07:23:52  kloczek
- added using %%{__make} macro.

Revision 1.4  2000/04/01 11:15:39  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:55:06  baggins
- translated kloczkish into english

Revision 1.2  2000/02/28 13:09:41  cieciwa
- rewrite spec for PLD,
- update to version 1.4.0,
- NFY.

* Mon Nov  8 1999 Giuseppe Ghibň <ghibo@linux-mandrake.com>
- First spec file for Mandrake distribution.
